using System;
using System.ServiceModel.Configuration;

namespace BeWo.Service.Multitenancy
{
    public class MultitenancyBehaviorExtension : BehaviorExtensionElement
    {
        public override Type BehaviorType
        {
            get
            {
                return typeof(MultitenancyEndpointBehavior);
            }
        }

        protected override object CreateBehavior()
        {
            return new MultitenancyEndpointBehavior();
        }
    }
}